Get business training paths
This endpoint returns all the training paths in the business catalog.
GET /api/v2/businesses/{businessId}/training-paths
If the businessId included in the request is correct, the response will contain the list of training paths of the business.
Response example
[
{
"id": "TP-CASHIER",
"name": "Cashier",
"description": "",
"abbreviation": "CAJ",
"color": "#1f7a5a",
"courseIds": [
"CRS-SAFETY",
"CRS-ONBOARDING"
],
"trainingsOrder": [
{
"trainingId": "TRN-PRL",
"day": 1,
"order": 1
},
{
"trainingId": "TRN-WELCOME",
"day": 1,
"order": 2
},
{
"trainingId": "TRN-CASH",
"day": 2,
"order": 1
}
]
}
]
Details
-
id: external identifier of the training path.
-
name: name of the training path.
-
description: description of the training path. If it was not provided, it is returned empty.
-
abbreviation: abbreviation of the training path.
-
color: color of the training path, in hexadecimal
#rrggbbformat and in lowercase. -
courseIds: external identifiers of the courses that make up the training path, in the order in which they must be taken.
-
trainingsOrder: full schedule of the trainings of the training path, sorted by day and by order within the day. For each training, the following information is included:
-
trainingId: external identifier of the training.
-
day: day of the training path on which the training takes place, starting at
1. -
order: order of the training within its day.
-
Considerations
If there are no training paths defined in the business, the request will return an empty array [].
Error codes
This endpoint does not return any error codes of its own beyond those described in common errors.
Useful links
What is a training path?